Subject: Re: Restart submodule update --recursive

From: Lukasz Palczewski <[email-masked]>
Date: Fri, 29 Oct 2010 13:37:46 +0200

Jonathan Nieder wrote:
> Hi Lukasz,
>
> [side note: if you use a newsreader, please reply by mail instead of
> through gmane so the Cc: list can be preserved.]
Sorry, but I do not use it. I will send You a normal email.

I have added two options to git submodule update:
--save-progress
--resume-update
First one You can use, to save the ./.git/SubmoduleUpdateLog.log the 
progress of updating:
git submodule update --recursive --save-progress
The second one is used for skipping updated submodules:
git submodule update --recursive --resume-update

The downside of it is, that u can use only one --resume-update. If there 
will be another error, then using it again will start form the last 
submodule that --save-progres saved.

I have send two files:
"git-submodule" - it has my changes
"git-submodule - Original" - it not modyfied
so that You can see what lines I have added.

Let me know if this change will be in next version of git.

Best regards,
Lukasz Palczewski